## r-bioc-biobase 2.12.1

=== DESCRIPTION ===
Package: Biobase
Title: Biobase: Base functions for Bioconductor
Version: 2.12.1
Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
Description: Functions that are needed by many other packages or which replace R functions.
Suggests: tools, tkWidgets, ALL
Depends: R (>= 2.7.0), methods, utils
Maintainer: Biocore Team c/o BioC user list <bioconductor@stat.math.ethz.ch>
License: Artistic-2.0
Collate: tools.R strings.R environment.R vignettes.R packages.R
         AllGenerics.R
         VersionsClass.R 
         VersionedClasses.R methods-VersionsNull.R methods-VersionedClass.R
         DataClasses.R methods-aggregator.R methods-ANY.R
         methods-container.R methods-data.frame.R methods-matrix.R
         methods-phenoData.R
         methods-MIAxE.R methods-MIAME.R methods-annotatedDataset.R
         methods-AssayData.R methods-AnnotatedDataFrame.R
         methods-eSet.R methods-ExpressionSet.R methods-MultiSet.R
         methods-SnpSet.R methods-NChannelSet.R
         anyMissing.R
         methods-exprSet.R rowOp-methods.R updateObject.R updateObjectTo.R
         methods-ScalarObject.R
         zzz.R
LazyLoad: yes
biocViews: Infrastructure, Bioinformatics
Packaged: 2011-04-15 04:11:47 UTC; biocbuild

## r-bioc-biobase 2.14.0

=== DESCRIPTION ===
Package: Biobase
Title: Biobase: Base functions for Bioconductor
Version: 2.14.0
Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
Description: Functions that are needed by many other packages or which
  replace R functions.
Suggests: tools, tkWidgets, ALL
Depends: R (>= 2.10), utils
Imports: methods
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
License: Artistic-2.0
Collate: tools.R strings.R environment.R vignettes.R packages.R
        AllGenerics.R VersionsClass.R VersionedClasses.R
        methods-VersionsNull.R methods-VersionedClass.R DataClasses.R
        methods-aggregator.R methods-ANY.R methods-container.R
        methods-data.frame.R methods-matrix.R methods-phenoData.R
        methods-MIAxE.R methods-MIAME.R methods-annotatedDataset.R
        methods-AssayData.R methods-AnnotatedDataFrame.R methods-eSet.R
        methods-ExpressionSet.R methods-MultiSet.R methods-SnpSet.R
        methods-NChannelSet.R anyMissing.R methods-exprSet.R
        rowOp-methods.R updateObject.R updateObjectTo.R
        methods-ScalarObject.R zzz.R
LazyLoad: yes
biocViews: Infrastructure, Bioinformatics
Packaged: 2011-11-01 04:27:52 UTC; biocbuild

## r-bioc-biobase 2.20.0

=== DESCRIPTION ===
Package: Biobase
Title: Biobase: Base functions for Bioconductor
Version: 2.20.0
Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
Description: Functions that are needed by many other packages or which
  replace R functions.
Suggests: tools, tkWidgets, ALL
Depends: R (>= 2.10), BiocGenerics (>= 0.3.2), utils
Imports: methods, BiocGenerics
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
License: Artistic-2.0
Collate: tools.R strings.R environment.R vignettes.R packages.R
        AllGenerics.R VersionsClass.R VersionedClasses.R
        methods-VersionsNull.R methods-VersionedClass.R DataClasses.R
        methods-aggregator.R methods-container.R methods-MIAxE.R
        methods-MIAME.R methods-AssayData.R
        methods-AnnotatedDataFrame.R methods-eSet.R
        methods-ExpressionSet.R methods-MultiSet.R methods-SnpSet.R
        methods-NChannelSet.R anyMissing.R rowOp-methods.R
        updateObjectTo.R methods-ScalarObject.R zzz.R
LazyLoad: yes
biocViews: Infrastructure, Bioinformatics
Packaged: 2013-04-04 06:39:20 UTC; biocbuild

## r-bioc-biobase 2.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.20.0
+Version: 2.24.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
-  replace R functions.
-Suggests: tools, tkWidgets, ALL
+        replace R functions.
+Suggests: tools, tkWidgets, ALL, RUnit, golubEsets
 Depends: R (>= 2.10), BiocGenerics (>= 0.3.2), utils
-Imports: methods, BiocGenerics
+Imports: methods
 Maintainer: Bioconductor Package Maintainer
-        <maintainer@bioconductor.org>
+ <maintainer@bioconductor.org>
 License: Artistic-2.0
 Collate: tools.R strings.R environment.R vignettes.R packages.R
         AllGenerics.R VersionsClass.R VersionedClasses.R
@@ -20,5 +20,5 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 LazyLoad: yes
-biocViews: Infrastructure, Bioinformatics
-Packaged: 2013-04-04 06:39:20 UTC; biocbuild
+biocViews: Infrastructure
+Packaged: 2014-04-12 05:10:37 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.24.0-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: removed myself from Uploaders. 

  [ Andreas Tille ]
  * New usptream version
  * Add myself to Uploaders
  * Remove outdated README.Debian
  * cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)
  * Add autopkgtest (Exclude unit test requiring golubEsets data)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jun 2014 11:01:29 +0200

r-bioc-biobase (2.20.0-1) unstable; urgency=low

  [ Andreas Tille ]
  910457e debian/upstream: Added citations

  [ Charles Plessy ]
  910457e Imported Upstream version 2.20.0
  d1f8572 No new copyright nor license notice in the new upstream versions.
  4a880aa Using Debhelper 9
  6861f53 Conforms with Policy version 3.9.4.
  4a49c97 Normalised Debian copyright file with 'cme fix dpkg-copyright'.
  4ce8c62 Removed obsolete field DM-Upload-Allowed.
  64b2da7 Normalised debian/control with 'cme fix dpkg-control'.
  c5c1206 Repaired Debian watch file.
  d8c85b8 Normalised VCS URLs following Lintian's standard.
  4a6818a Depend on r-bioc-biocgenerics (>= 0.3.2).

 -- Charles Plessy <plessy@debian.org>  Mon, 08 Apr 2013 13:00:55 +0900

r-bioc-biobase (2.14.0-1) unstable; urgency=low

  [cb6b786] Bioconductor release 2.9.
  [d70e490] Build-Depend on R >= 2.10 according to DESCRIPTION.
  [ae99e35] Include 7 digits of the commit id in the changelog entry.
  [33b5d47] Compress binary package with xz.

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Nov 2011 13:52:04 +0900

r-bioc-biobase (2.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Thu, 04 Aug 2011 08:58:03 +0900

r-bioc-biobase (2.12.1-1) unstable; urgency=low

  * Initial release (Closes: #169859)

 -- Charles Plessy <plessy@debian.org>  Sat, 14 May 2011 22:35:11 +0900

=== debian/control ===
Source: r-bioc-biobase
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
XS-Testsuite: autopkgtest
Build-Depends: cdbs,
               debhelper (>= 9),
               r-base-dev,
               r-bioc-biocgenerics (>= 0.3.2)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-bioc-biobase.git
Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biobase.git
Homepage: http://www.bioconductor.org

Package: r-bioc-biobase
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-bioc-biocgenerics (>= 0.3.2)
Description: base functions for Bioconductor
 Biobase is part of the Bioconductor project, and is used by many other
 packages. Biobase contains standardized data structures to represent genomic
 data, and functions that are needed by many other packages or which replace R
 functions.
 .
 Bioconductor is a project to develop innovative software tools for use in
 computational biology. It is based on the R language. You should already be
 quite familiar with R before using Bioconductor. Bioconductor packages provide
 flexible interactive tools for carrying out a number of different computational
 tasks.
 . 
 Most other Bioconductor packages are not packaged for Debian, but this
 packages provides in its Debian documentation instructions on how to install
 unofficial auto-generated Bioconductor packages for Debian and Ubuntu systems,
 that are prepared by members of the Debian Med team.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname = bioc
include /usr/share/R/debian/r-cran.mk

DEB_DH_BUILDDEB_ARGS := -- -Z xz

# Require a number equal or superior than the R version the package was built with.
install/r-$(debRreposname)-$(cranName)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/r-$(debRreposname)-$(cranName).substvars

=== debian/watch ===
version=3

# This tracks the current stable version of bioconductor
http://bioconductor.org/packages/release/bioc/html/Biobase.html .*/Biobase_(.*).tar.gz

## r-bioc-biobase 2.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.24.0
+Version: 2.28.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -21,4 +21,5 @@
         updateObjectTo.R methods-ScalarObject.R zzz.R
 LazyLoad: yes
 biocViews: Infrastructure
-Packaged: 2014-04-12 05:10:37 UTC; biocbuild
+NeedsCompilation: yes
+Packaged: 2015-04-17 02:06:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.28.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 08:46:24 +0200

r-bioc-biobase (2.26.0-1) experimental; urgency=medium

  * New upstream source
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 16:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-XS-Testsuite: autopkgtest
 Build-Depends: cdbs,
                debhelper (>= 9),
                r-base-dev,
                r-bioc-biocgenerics (>= 0.3.2)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/r-bioc-biobase.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biobase.git
 Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biobase.git
-Homepage: http://www.bioconductor.org
+Homepage: http://www.bioconductor.org/packages/release/bioc/html/Biobase.html
 
 Package: r-bioc-biobase
 Architecture: any
@@ -30,7 +30,7 @@
  quite familiar with R before using Bioconductor. Bioconductor packages provide
  flexible interactive tools for carrying out a number of different computational
  tasks.
- . 
+ .
  Most other Bioconductor packages are not packaged for Debian, but this
  packages provides in its Debian documentation instructions on how to install
  unofficial auto-generated Bioconductor packages for Debian and Ubuntu systems,

## r-bioc-biobase 2.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.28.0
+Version: 2.30.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,4 +22,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2015-04-17 02:06:16 UTC; biocbuild
+Packaged: 2015-10-14 00:32:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.30.0-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * Drop outdated paragraph from description

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 17:07:09 +0100

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,3 @@
  quite familiar with R before using Bioconductor. Bioconductor packages provide
  flexible interactive tools for carrying out a number of different computational
  tasks.
- .
- Most other Bioconductor packages are not packaged for Debian, but this
- packages provides in its Debian documentation instructions on how to install
- unofficial auto-generated Bioconductor packages for Debian and Ubuntu systems,
- that are prepared by members of the Debian Med team.

=== debian/watch ===
version=3

opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
   http://bioconductor.org/packages/release/bioc/html/Biobase.html .*/Biobase_(.*).tar.gz

## r-bioc-biobase 2.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.30.0
+Version: 2.32.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,4 +22,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2015-10-14 00:32:21 UTC; biocbuild
+Packaged: 2016-05-04 02:37:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.32.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 08:10:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper (>= 9),
                r-base-dev,
                r-bioc-biocgenerics (>= 0.3.2)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biobase.git
-Vcs-Git: git://anonscm.debian.org/debian-med/r-bioc-biobase.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biobase.git
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/Biobase.html
 
 Package: r-bioc-biobase

## r-bioc-biobase 2.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.32.0
+Version: 2.34.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,4 +22,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2016-05-04 02:37:20 UTC; biocbuild
+Packaged: 2016-10-17 22:07:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.34.0-1) unstable; urgency=medium

  * New upstream version
  * Canonical BioConductor homepage
  * Switch to dh-r
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2016 22:05:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: cdbs,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.3.2)
+               r-bioc-biocgenerics (>= 0.3.2),
+               dh-r
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biobase.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biobase.git
-Homepage: http://www.bioconductor.org/packages/release/bioc/html/Biobase.html
+Homepage: https://bioconductor.org/packages/Biobase/
 
 Package: r-bioc-biobase
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ${R:Depends},
          ${misc:Depends},
-         ${R:Depends},
-         r-bioc-biocgenerics (>= 0.3.2)
+         ${shlibs:Depends}
 Description: base functions for Bioconductor
  Biobase is part of the Bioconductor project, and is used by many other
  packages. Biobase contains standardized data structures to represent genomic

## r-bioc-biobase 2.36.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.34.0
+Version: 2.36.2
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,4 +22,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2016-10-17 22:07:44 UTC; biocbuild
+Packaged: 2017-05-03 22:15:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.36.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.0.1 (no changes needed)
  * Document r-data files

 -- Andreas Tille <tille@debian.org>  Wed, 23 Aug 2017 20:28:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                r-base-dev,
                r-bioc-biocgenerics (>= 0.3.2),
                dh-r
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biobase.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

## r-bioc-biobase 2.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.36.2
+Version: 2.38.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,4 +22,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2017-05-03 22:15:53 UTC; biocbuild
+Packaged: 2017-10-30 22:37:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.38.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 17:27:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                r-base-dev,
                r-bioc-biocgenerics (>= 0.3.2),
                dh-r
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-biobase.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

## r-bioc-biobase 2.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.38.0
+Version: 2.40.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,4 +22,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2017-10-30 22:37:13 UTC; biocbuild
+Packaged: 2018-04-30 22:43:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.40.0-2build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:32:44 +0000

r-bioc-biobase (2.40.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 23:57:13 +0200

r-bioc-biobase (2.40.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 15:02:35 +0200

=== debian/control ===
Source: r-bioc-biobase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.3.2)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
Homepage: https://bioconductor.org/packages/Biobase/

Package: r-bioc-biobase
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: base functions for Bioconductor
 Biobase is part of the Bioconductor project, and is used by many other
 packages. Biobase contains standardized data structures to represent genomic
 data, and functions that are needed by many other packages or which replace R
 functions.
 .
 Bioconductor is a project to develop innovative software tools for use in
 computational biology. It is based on the R language. You should already be
 quite familiar with R before using Bioconductor. Bioconductor packages provide
 flexible interactive tools for carrying out a number of different computational
 tasks.

## r-bioc-biobase 2.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.40.0
+Version: 2.42.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
 Suggests: tools, tkWidgets, ALL, RUnit, golubEsets
-Depends: R (>= 2.10), BiocGenerics (>= 0.3.2), utils
+Depends: R (>= 2.10), BiocGenerics (>= 0.27.1), utils
 Imports: methods
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -21,5 +21,10 @@
         updateObjectTo.R methods-ScalarObject.R zzz.R
 LazyLoad: yes
 biocViews: Infrastructure
+git_url: https://git.bioconductor.org/packages/Biobase
+git_branch: RELEASE_3_8
+git_last_commit: 3e5bd46
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes
-Packaged: 2018-04-30 22:43:42 UTC; biocbuild
+Packaged: 2018-10-30 22:46:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sun, 04 Nov 2018 18:15:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.3.2)
-Standards-Version: 4.1.4
+               r-bioc-biocgenerics (>= 0.27.1)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

=== debian/watch ===
version=3

opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
   https://bioconductor.org/packages/release/bioc/html/Biobase.html .*/Biobase_(.*).tar.gz

## r-bioc-biobase 2.44.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.42.0
+Version: 2.44.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,9 +22,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_8
-git_last_commit: 3e5bd46
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: bde2077
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes
-Packaged: 2018-10-30 22:46:40 UTC; biocbuild
+Packaged: 2019-05-02 23:35:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.44.0-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add Testsuite: autopkgtest-pkg-r

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 11:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.27.1)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

## r-bioc-biobase 2.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.44.0
+Version: 2.46.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,9 +22,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_9
-git_last_commit: bde2077
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 153c5c6
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes
-Packaged: 2019-05-02 23:35:03 UTC; biocbuild
+Packaged: 2019-10-29 23:33:05 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.46.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 02 Nov 2019 17:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.27.1)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3

opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
   https://bioconductor.org/packages/release/bioc/html/Biobase.html .*/Biobase_(.*).tar.gz

## r-bioc-biobase 2.48.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: Biobase
 Title: Biobase: Base functions for Bioconductor
-Version: 2.46.0
+Version: 2.48.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Description: Functions that are needed by many other packages or which
         replace R functions.
@@ -22,9 +22,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_10
-git_last_commit: 153c5c6
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: 4ffadf2
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-29 23:33:05 UTC; biocbuild
+Packaged: 2020-04-27 23:41:19 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.48.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:05:01 +0000

r-bioc-biobase (2.48.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 May 2020 17:10:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.27.1)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/
+Rules-Requires-Root: no
 
 Package: r-bioc-biobase
 Architecture: any

## r-bioc-biobase 2.50.0

=== DESCRIPTION ===
Package: Biobase
Title: Biobase: Base functions for Bioconductor
Description: Functions that are needed by many other packages or which
        replace R functions.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/Biobase
BugReports: https://github.com/Bioconductor/Biobase/issues
Version: 2.50.0
License: Artistic-2.0
Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Depends: R (>= 2.10), BiocGenerics (>= 0.27.1), utils
Imports: methods
Suggests: tools, tkWidgets, ALL, RUnit, golubEsets
LazyLoad: yes
Collate: tools.R strings.R environment.R vignettes.R packages.R
        AllGenerics.R VersionsClass.R VersionedClasses.R
        methods-VersionsNull.R methods-VersionedClass.R DataClasses.R
        methods-aggregator.R methods-container.R methods-MIAxE.R
        methods-MIAME.R methods-AssayData.R
        methods-AnnotatedDataFrame.R methods-eSet.R
        methods-ExpressionSet.R methods-MultiSet.R methods-SnpSet.R
        methods-NChannelSet.R anyMissing.R rowOp-methods.R
        updateObjectTo.R methods-ScalarObject.R zzz.R
git_url: https://git.bioconductor.org/packages/Biobase
git_branch: RELEASE_3_12
git_last_commit: 9927f90
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-27 22:41:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.50.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Oct 2020 13:45:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.27.1)

## r-bioc-biobase 2.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.50.0
+Version: 2.54.0
 License: Artistic-2.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Maintainer: Bioconductor Package Maintainer
@@ -24,9 +24,9 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_12
-git_last_commit: 9927f90
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 8215d76
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-27 22:41:10 UTC; biocbuild
+Packaged: 2021-10-26 20:54:08 UTC; biocbuild

=== inst/ExpressionSet/DESCRIPTION ===
Package: @PKGNAME@
Title: @TITLE@
Version: @VERSION@
Author: @AUTHOR@
Description: Data Package automatically created on @TODAY@.
Maintainer: @MAINTAINER@
Depends: Biobase
License:  @LICENSE@
biocViews: @BVIEWS@

=== debian/changelog ===
r-bioc-biobase (2.54.0-1) unstable; urgency=medium

  * Team Upload.
  * [90926c6] New upstream version 2.54.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 14:57:47 +0530

r-bioc-biobase (2.52.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Aug 2021 20:32:27 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.27.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

## r-bioc-biobase 2.56.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.54.0
+Version: 2.56.0
 License: Artistic-2.0
 Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
 Maintainer: Bioconductor Package Maintainer
@@ -24,9 +24,9 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_14
-git_last_commit: 8215d76
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 3b2dd91
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 20:54:08 UTC; biocbuild
+Packaged: 2022-04-26 20:04:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-biobase (2.56.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 09:45:49 +0200

## r-bioc-biobase 2.58.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,14 +5,25 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.56.0
+Version: 2.58.0
 License: Artistic-2.0
-Author: R. Gentleman, V. Carey, M. Morgan, S. Falcon
-Maintainer: Bioconductor Package Maintainer
- <maintainer@bioconductor.org>
+Authors@R: c(
+    person("R.", "Gentleman", role="aut"),
+    person("V.", "Carey", role = "aut"),
+    person("M.", "Morgan", role="aut"),
+    person("S.", "Falcon", role="aut"),
+    person("Haleema", "Khan",
+        role = "ctb",
+        comment = "'esApply' and 'BiobaseDevelopment' vignette translation from Sweave to Rmarkdown / HTML"
+    ),
+    person("Bioconductor Package Maintainer",
+        role = "cre",
+        email = "maintainer@bioconductor.org"
+    ))
+Suggests: tools, tkWidgets, ALL, RUnit, golubEsets, BiocStyle, knitr
 Depends: R (>= 2.10), BiocGenerics (>= 0.27.1), utils
 Imports: methods
-Suggests: tools, tkWidgets, ALL, RUnit, golubEsets
+VignetteBuilder: knitr
 LazyLoad: yes
 Collate: tools.R strings.R environment.R vignettes.R packages.R
         AllGenerics.R VersionsClass.R VersionedClasses.R
@@ -24,9 +35,17 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_15
-git_last_commit: 3b2dd91
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 767f2f3
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:04:20 UTC; biocbuild
+Packaged: 2022-11-01 20:55:26 UTC; biocbuild
+Author: R. Gentleman [aut],
+  V. Carey [aut],
+  M. Morgan [aut],
+  S. Falcon [aut],
+  Haleema Khan [ctb] ('esApply' and 'BiobaseDevelopment' vignette
+    translation from Sweave to Rmarkdown / HTML),
+  Bioconductor Package Maintainer [cre]
+Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biobase (2.58.0-2) unstable; urgency=medium

  * Drop debian/gbp.conf
  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 19:34:31 +0100

r-bioc-biobase (2.58.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:03:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.27.1)
-Standards-Version: 4.6.0
+               r-bioc-biocgenerics
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

=== debian/watch ===
version=4

opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
   https://bioconductor.org/packages/release/bioc/html/Biobase.html .*/Biobase_(.*).tar.gz

## r-bioc-biobase 2.60.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.58.0
+Version: 2.60.0
 License: Artistic-2.0
 Authors@R: c(
     person("R.", "Gentleman", role="aut"),
@@ -35,12 +35,12 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_16
-git_last_commit: 767f2f3
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 8dc10d2
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 20:55:26 UTC; biocbuild
+Packaged: 2023-04-25 20:18:46 UTC; biocbuild
 Author: R. Gentleman [aut],
   V. Carey [aut],
   M. Morgan [aut],

=== debian/changelog ===
r-bioc-biobase (2.60.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 07:49:45 +0200

## r-bioc-biobase 2.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.60.0
+Version: 2.62.0
 License: Artistic-2.0
 Authors@R: c(
     person("R.", "Gentleman", role="aut"),
@@ -35,12 +35,12 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_17
-git_last_commit: 8dc10d2
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 8201fbb
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:18:46 UTC; biocbuild
+Packaged: 2023-10-24 20:24:56 UTC; biocbuild
 Author: R. Gentleman [aut],
   V. Carey [aut],
   M. Morgan [aut],

=== debian/changelog ===
r-bioc-biobase (2.62.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 16:07:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/

## r-bioc-biobase 2.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.62.0
+Version: 2.64.0
 License: Artistic-2.0
 Authors@R: c(
     person("R.", "Gentleman", role="aut"),
@@ -20,7 +20,8 @@
         role = "cre",
         email = "maintainer@bioconductor.org"
     ))
-Suggests: tools, tkWidgets, ALL, RUnit, golubEsets, BiocStyle, knitr
+Suggests: tools, tkWidgets, ALL, RUnit, golubEsets, BiocStyle, knitr,
+        limma
 Depends: R (>= 2.10), BiocGenerics (>= 0.27.1), utils
 Imports: methods
 VignetteBuilder: knitr
@@ -35,12 +36,13 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_18
-git_last_commit: 8201fbb
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: a3b75b7
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 20:24:56 UTC; biocbuild
+Packaged: 2024-05-01 02:44:15 UTC; biocbuild
 Author: R. Gentleman [aut],
   V. Carey [aut],
   M. Morgan [aut],

=== debian/changelog ===
r-bioc-biobase (2.64.0-4) unstable; urgency=medium

  * Team upload.
  * debian/tests/autopkgtest-pkg-r.conf: add new package r-bioc-golubesets for
    additional tests
  * debian/patches/exclude_testing_golubEsets.patch: removed, now that
    r-bioc-golubesets is in the archive

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 05 Sep 2024 09:34:02 +0200

r-bioc-biobase (2.64.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: add breaks for the pre-bioc-3.19 versions of some
    packages that depend on r-bioc-biobase for their autopkgtests, as a
    hint to not run those tests using any bioc-3.18 packages (especially
    on 32-bit architectures).
  * d/patches/exclude_testing_golubEsets.patch: Removed a useless 2nd
    "Description" line from the DEP-3 metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 16:51:57 +0900

r-bioc-biobase (2.64.0-2) unstable; urgency=medium

  * Team upload.
  * Allow skipping the autopkgtests if dependencies are not installable.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Aug 2024 16:24:40 +0200

r-bioc-biobase (2.64.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:12:50 +0200

r-bioc-biobase (2.64.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:47:27 +0200

r-bioc-biobase (2.64.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics
+               r-bioc-biocgenerics (>= 0.50.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
@@ -18,9 +18,21 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-all (>= 1.46.0),
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-limma (>= 3.60.3)
+Breaks: r-bioc-affy (<< 1.82),
+        r-bioc-biocviews (<< 1.72),
+        r-bioc-geoquery (<< 2.72),
+        r-bioc-makecdfenv (<< 1.80),
+        r-bioc-multtest (<< 2.60),
+        r-bioc-pcamethods (<< 1.96),
+        r-bioc-qusage (<< 2.38),
+        r-bioc-rots (<< 1.32)
 Description: base functions for Bioconductor
  Biobase is part of the Bioconductor project, and is used by many other
  packages. Biobase contains standardized data structures to represent genomic

## r-bioc-biobase 2.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/Biobase
 BugReports: https://github.com/Bioconductor/Biobase/issues
-Version: 2.64.0
+Version: 2.66.0
 License: Artistic-2.0
 Authors@R: c(
     person("R.", "Gentleman", role="aut"),
@@ -36,13 +36,13 @@
         methods-NChannelSet.R anyMissing.R rowOp-methods.R
         updateObjectTo.R methods-ScalarObject.R zzz.R
 git_url: https://git.bioconductor.org/packages/Biobase
-git_branch: RELEASE_3_19
-git_last_commit: a3b75b7
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 2cd604f
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 02:44:15 UTC; biocbuild
+Packaged: 2024-10-29 23:41:04 UTC; biocbuild
 Author: R. Gentleman [aut],
   V. Carey [aut],
   M. Morgan [aut],

=== debian/changelog ===
r-bioc-biobase (2.66.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 20:33:14 +0100

r-bioc-biobase (2.66.0-1) experimental; urgency=medium

  * Team upload.
  * Those breaks weren't useful, so remove them. (They weren't harmful
    either)
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:17:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.50.0)
-Standards-Version: 4.6.2
+               r-bioc-biocgenerics
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biobase.git
 Homepage: https://bioconductor.org/packages/Biobase/
@@ -18,21 +18,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-all (>= 1.46.0),
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-limma (>= 3.60.3)
-Breaks: r-bioc-affy (<< 1.82),
-        r-bioc-biocviews (<< 1.72),
-        r-bioc-geoquery (<< 2.72),
-        r-bioc-makecdfenv (<< 1.80),
-        r-bioc-multtest (<< 2.60),
-        r-bioc-pcamethods (<< 1.96),
-        r-bioc-qusage (<< 2.38),
-        r-bioc-rots (<< 1.32)
+Suggests: ${R:Suggests}
 Description: base functions for Bioconductor
  Biobase is part of the Bioconductor project, and is used by many other
  packages. Biobase contains standardized data structures to represent genomic
